

#Include the toolchain configure.
include config.mk

ROOTDIR = ../../..
INCDIR = $(ROOTDIR)/Include
LIBDIR = $(ROOTDIR)/Lib/$(TCNAME)

SOURCES = ConnectClient.cpp

OBJS = ConnectClient.o

INC = $(INCDIR)/pgLibConnect.h

LIBS += -Wl,-Bstatic -lconnect $(LIBSTA) \
	-Wl,-Bdynamic $(LIBDYN)

TARGET = ConnectClient


#GCC flags
CFLAGS += -I$(INCDIR)

#Linker flags
LDFLAGS += -L./ -L$(LIBDIR)


demo: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) $(LIBS) -o $(TARGET)
	$(STRIP) $(TARGET)
	rm -rf *.o

ConnectClient.o: ConnectClient.cpp $(INC)
	$(CXX) $(CFLAGS) -c ConnectClient.cpp -o ConnectClient.o


clean:
	rm -rf *.o *so ConnectClient

